# type_traits_fwd.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file type_traits_fwd.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Defines

- #define _TYPE_TRAITS_FWD_H

## Typedefs

- typedef integral_constant<
  bool, false > std::tr1::false_type
- typedef integral_constant<
  bool, true > std::tr1::true_type